"""
py build/fuzzy_workflow.py
"""
from argsense import cli
from lk_utils import fs
from lk_utils import run_cmd_shell

from depsland import __version__ as version


@cli.cmd()
def main():
    """
    prerequisites:
        1. bump depsland.__init__ version (and refresh __date__)
    """
    run_cmd_shell('py build/build.py full-build :false', verbose=True)
    
    fs.move(f'dist/depsland-{version}',
            x := f'C:/Likianta/temp/2022-11/depsland-{version}')
    fs.make_link('python', f'{x}/python')
    
    print('done', ':t')


@cli.cmd()
def link_pypi(dst_dir: str):
    fs.make_link('tests/pypi', f'{dst_dir}/pypi', True)


if __name__ == '__main__':
    cli.run()
